Is it necessary to upgrade the Red Hat Satellite internal Capsule server?

Solution Verified - Updated -

Issue

  • Red Hat Satellite internal Capsule upgrade is failing with below error :
[root@satellite ~]# satellite-installer --scenario capsule --upgrade
[ INFO 2019-08-06T15:16:28 verbose] Executing hooks in group pre_migrations
[ INFO 2019-08-06T15:16:28 verbose] All hooks in group pre_migrations finished
[ERROR 2019-08-06T15:16:28 verbose] You are trying to replace existing installation with different scenario. This may lead to unpredictable states. Use --force to override. You can use --compare-scenarios to see the differences
[ INFO 2019-08-06T15:16:28 verbose] Log was be written to /var/log/foreman-installer/capsule.log
[ INFO 2019-08-06T15:16:28 verbose] Logs flushed

Environment

  • Red Hat Satellite 6.4.x and above

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In